Subject: Re: [PATCH net-next 0/2] Fix MTU warnings for fec/mv886xxx combo

From: Russell King - ARM Linux admin <[email-masked]>
Date: Sat, 11 Jul 2020 22:26:18 +0100

On Sat, Jul 11, 2020 at 10:32:04PM +0200, Andrew Lunn wrote:
> Since changing the MTU of dsa slave interfaces was implemented, the
> fec/mv88e6xxx combo has been giving warnings:
> 
> [    2.275925] mv88e6085 0.2:00: nonfatal error -95 setting MTU on port 9
> [    2.284306] eth1: mtu greater than device maximum
> [    2.287759] fec 400d1000.ethernet eth1: error -22 setting MTU to include DSA overhead
> 
> This patchset adds support for changing the MTU on mv88e6xxx switches,
> which do support jumbo frames. And it modifies the FEC driver to
> support its true MTU range, which is larger than the default Ethernet
> MTU.

It's not just the fec/mv88e6xxx combo - I've been getting them on
Clearfog too.  It just hasn't been important enough to report yet.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!